/*
   This program takes three optional command-line arguments.

   The first determines how many lines of output there are.

   The second determines how many random integers there are on a line of output.

   The third determines the range of the random integers.
*/
#include <stdio.h>
#include <stdlib.h>
#include <time.h>

int main(int argc, char* argv[])
{
   //printf("%d\n", RAND_MAX);

   srand( (unsigned)time(NULL) );

   int lines = rand()%100; // random number of lines of output
   if (argc >= 2)
   {
      lines = atoi(argv[1]); // fixed number of lines of output
   }

   int data_points = 1;
   if (argc >= 3)
   {
      data_points = atoi(argv[2]); // fixed number of ints on each line of output
   }

   int range = 10000; // default range for the random integers
   if (argc >= 4)
   {
      range = atoi(argv[3]); // new range for the random integers
   }

   for (int i = 0; i < lines; ++i)
   {
      if (argc < 3)
      {
         data_points = rand()%20; // random number of ints on this line of output
      }

      if ( rand()%2 ) // "flip a coin" to decide if there should be leading spaces
      {
         int spaces = rand()%20; // random leading spaces
         for (int j = 0; j < spaces; ++j)
         {
            printf(" ");
         }
      }

      for (int j = 0; j < data_points - 1; ++j)
      {
         int r = rand() % range;
         printf("%d", r);
         printf(" ");            // at least once space between ints
         int spaces = rand()%20; // with some extra random spaces
         for (int k = 0; k < spaces; ++k)
         {
            printf(" ");
         }
      }
      int r = rand() % range;
      printf("%d", r);

      if ( rand()%2 ) // "flip a coin" to decide if there should be trailing spaces
      {
         int spaces = rand()%20; // random trailing spaces
         for (int k = 0; k < spaces; ++k)
         {
            printf(" ");
         }
      }

      printf("\n");  // end this line
    //printf("#\n"); // end this line in a way that we can see where it ends
   }

   return 0;
}
